WordPress.org

Ready to get started?Download WordPress

Forums

WP 3.01 and mySQL 5.0 (2 posts)

  1. bernsee
    Member
    Posted 3 years ago #

    Hi all,

    I'm having trouble using WP 3.01 in combination with a mySQL 5.0 database. Specifically, I can't edit pages (posts seem to work) - I am getting an error 500 and the page fails to load in the editor.

    Display of the page on the web site works ok. Also, I can't seem to upload new images (http error), both with the browser and flash uploader. WP auto-update fails as well.

    This is on a x86 Linux server running mySQL 5.0 (I only have the options to use mySQL 5.0 or 4.0 and WP 3 doesn't work with 4.0).

    Interestingly, downgrading to WP 2.91 solved the problem but I'd rather like to use the latest if possible.

    Any ideas, comments, suggestions would be appreciated.

    BTW there's a bug in mySQL 5 that prevents backups to be restored. You need to add USE <databasename>; at the beginning of your .sql file in order to correctly restore it.

    Thanks
    Stephan

  2. bernsee
    Member
    Posted 3 years ago #

    I wanted to add that I don't have access to my server's logs so I can't look up what the actual problem might be. Also, I'm on Safari and Firefox on a Mac if that helps, but I guess the problem is on the server side...

Topic Closed

This topic has been closed to new replies.

About this Topic